summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
author김용섭/동작제어Lab(SR)/Engineer/삼성전자 <yons.kim@samsung.com>2018-05-31 09:59:02 +0900
committer서상민/동작제어Lab(SR)/Staff Engineer/삼성전자 <sangmin7.seo@samsung.com>2018-05-31 09:59:02 +0900
commitd89bfdfb1ac07cd894f371354aea0c0e918718c6 (patch)
tree764c2361062cf5ffb9b794d2c46bbbdb7c6fe4f2 /tests
parent3a7ed54157eaccd346974964e8c8c88248c6cb89 (diff)
downloadnnfw-d89bfdfb1ac07cd894f371354aea0c0e918718c6.tar.gz
nnfw-d89bfdfb1ac07cd894f371354aea0c0e918718c6.tar.bz2
nnfw-d89bfdfb1ac07cd894f371354aea0c0e918718c6.zip
Enable test_driver to catch failed test (#1409)
* Enable test_driver to catch failed test Enable tools/test_driver/test_driver.sh to catch failed test, so that now do not pass any failed test cases. To do this, run_benchmark*.sh and run_unittest.sh will stop when the tests catch fail. run_frameworktest.sh will stop after the tests run all models. Signed-off-by: Yongseop Kim <yons.kim@samsung.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/framework/run_test.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/framework/run_test.sh b/tests/framework/run_test.sh
index 287d57963..0db45ff5d 100755
--- a/tests/framework/run_test.sh
+++ b/tests/framework/run_test.sh
@@ -112,6 +112,7 @@ run_tests()
done
echo "======================"
+ TOTAL_RESULT=0 # 0(normal) or 1(abnormal)
i=0
for TEST_NAME in $SELECTED_TESTS; do
((i++))
@@ -152,13 +153,14 @@ run_tests()
echo "======================"
# Run driver to test framework
LD_LIBRARY_PATH="${NNFW_LD_LIBRARY_PATH:=$NNFW_HOME/Product/out/lib}:${LD_LIBRARY_PATH}" $DRIVER_BIN $MODELFILE
- RESULT=$?
- if [[ $RESULT -eq 0 ]]; then
+ if [[ $? -eq 0 ]]; then
echo "ok $i - $TEST_NAME" >> $REPORT_DIR/$TAP_NAME
else
echo "not ok $i - $TEST_NAME" >> $REPORT_DIR/$TAP_NAME
+ TOTAL_RESULT=1
fi
done
+ return $TOTAL_RESULT
}
download_tests()